Ankündigung

Einklappen
Keine Ankündigung bisher.

ERROR modules.websocket smartVISU

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    ERROR modules.websocket smartVISU

    Hallo,

    ich habe eine Neuinstallation mit SHNG 1.9.0 und SV 3.1.0 (Debian / Bullseye) gemacht und dabei umfangreiche Anpassungen der verschiedenen .yaml Dateien vorgenommen (vorher SHNG 1.7.1) soweit aus der Dokumentation und einigen Foreneinträgen ersichtlich.

    Läuft soweit, allerdings bekomme ich ein paar Fehlermeldungen zu denen ich noch keine Lösung finden konnte:


    Code:
    2021-12-30 14:36:29 ERROR modules.websocket smartVISU_protocol_v4 exception: received 1005 (no status code [internal]); then sent 1005 (no status code [internal])
    2021-12-30 14:49:32 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 14:49:46 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 14:53:08 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 14:53:10 ERROR modules.websocket smartVISU_protocol_v4 exception: sent 1011 (unexpected error) keepalive ping timeout; no close frame received
    2021-12-30 14:54:37 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 14:58:23 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 14:58:30 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 15:01:10 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 15:01:20 ERROR modules.websocket smartVISU_protocol_v4 exception: no close frame received or sent
    2021-12-30 15:02:16 ERROR modules.websocket smartVISU_protocol_v4 exception: sent 1011 (unexpected error) keepalive ping timeout; no close frame received
    2021-12-30 15:02:16 ERROR modules.websocket update_item - Error in 'await websocket.send(data)': sent 1011 (unexpected error) keepalive ping timeout; no close frame received
    > Traceback (most recent call last):
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 944, in transfer_data
    > message = await self.read_message()
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 1013, in read_message
    > frame = await self.read_data_frame(max_size=self.max_size)
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 1089, in read_data_frame
    > frame = await self.read_frame(max_size)
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 1144, in read_frame
    > frame = await Frame.read(
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/framing.py", line 70, in read
    > data = await reader(2)
    > File "/usr/lib/python3.9/asyncio/streams.py", line 723, in readexactly
    > await self._wait_for_data('readexactly')
    > File "/usr/lib/python3.9/asyncio/streams.py", line 517, in _wait_for_data
    > await self._waiter
    > asyncio.exceptions.CancelledError
    
    The above exception was the direct cause of the following exception:
    
    > Traceback (most recent call last):
    > File "/usr/local/smarthome/modules/websocket/__init__.py", line 920, in update_item
    > await websocket.send(msg)
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 619, in send
    > await self.ensure_open()
    > File "/home/smarthome/.local/lib/python3.9/site-packages/websockets/legacy/protocol.py", line 929, in ensure_open
    > raise self.connection_closed_exc()
    > websockets.exceptions.ConnectionClosedError: sent 1011 (unexpected error) keepalive ping timeout; no close frame received

    Ich hab das Thema ansatzweise hier schon mal gefunden aber keine richtige Lösung ableiten können.

    Irgendeine Idee wo das herkommt und was ich ändern muss?

    Gruß
    Marcus
    Zuletzt geändert von bmx; 30.12.2021, 19:24.

    #2
    Ich habe das gleiche Problem mit "smartvisu_protocol_v4 exception: no close frame received or sent". Hast du inzwischen eine Lösung?

    Kommentar


      #3
      Bis auf weiteres kannst Du die Log Einträge „no close frame sent“ vermutlich einfach ignorieren.

      soweit ich das bisher nachvollziehen konnte, machen einige Browser die Websocket Verbindung nicht explizit zu, wenn man auf den Reload Button klickt. Beim Reload der Seite wird eine neue Websocket Verbingung aufgebaut. Das Websocket Modul merkt, dass die alte TCP Verbindung nicht mehr existiert, schließt sie und loggt dieses als Fehler.

      Im develop habe ich den Log Level für diese Meldung bereits auf INFO gesenkt.
      Viele Grüße
      Martin

      There is no cloud. It's only someone else's computer.

      Kommentar


        #4
        Danke, dann ignoriere ich die Meldung.
        Schönen Sonntag noch.
        Christian

        Kommentar

        Lädt...
        X